Bug 1032883 - OpenTK-1.1 stable is available
OpenTK-1.1 stable is available
Product: Fedora
Classification: Fedora
Component: OpenTK (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
Depends On: 1058765
Blocks: 1157173
  Show dependency treegraph
Reported: 2013-11-21 02:04 EST by Christopher Meng
Modified: 2015-01-06 01:16 EST (History)
2 users (show)

See Also:
Fixed In Version: OpenTK-1.1-1.4c.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-06 01:16:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-21 02:04:22 EST

In the nightly dir(https://sourceforge.net/projects/opentk/files/opentk/nightly/), there is a new zipball:


Please update to this version on f19+.


And it seems that only Fedora uses upper-case in its name, from upstream tarball I can't see OpenTK. Only opentk-xxx.zip.

Or can you add virtual provides of opentk?

Why did you rename it to OpenTk in bug 890872?

Comment 1 Miro Hrončok 2013-11-22 06:46:37 EST
Will update. Cannot remember the exact reason for the renaming, but there was some :) Providing opentk is not a problem.
Comment 2 Miro Hrončok 2013-11-26 06:32:29 EST
So the reason was, that this package provides mono(OpenTK), not mono(opentk).

However, now it has:
Provides:       opentk = %{version}-%{release}

I have no idea why they've released new nightly build, while the only new commits adds community branch, but I've added the new version as the source (the tarballs are the same anyway).

Should I make this an update or you know something I don't (e.g. the nightly build is form the community branch)?
Comment 4 Christopher Meng 2013-11-26 06:38:49 EST

I have no ideas now...Have you got any replies from upstream to clarify the source reference??

Or this tag: https://github.com/opentk/opentk/releases?

Alright, please just leave this bug here, I will test the scratch build later, before feedbacks reported, don't do anything ;)

And if we really need to update it, just from f20 ;-)
Comment 5 Miro Hrončok 2013-11-26 06:49:54 EST
Oh, I didn't know they are on GitHub :( Will ask them directly.
Comment 6 Miro Hrončok 2013-11-26 06:52:29 EST
This seeems prety obvious, my fault: http://www.opentk.com/opentk-repository-in-github

So let's pack 1.1 beta1 for Fedora 20 then, OK?
Comment 7 Christopher Meng 2013-11-26 06:53:07 EST
Comment 8 Miro Hrončok 2013-11-26 07:46:11 EST
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6226814
F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6226817

I'll check if RepetierHost builds and runs against it.
Comment 9 Miro Hrončok 2013-11-26 08:16:17 EST
RepetierHost builds but doesn't run.

Comment 10 Miro Hrončok 2014-01-28 08:53:01 EST
It should run with current rc, but that requires bz1058765
Comment 11 Christopher Meng 2014-07-28 23:19:02 EDT

I just found the real version should be 1.1 now.


And the latest is stable 5.

My thought is that treat the number 5 as patchlevel so it should be 1.1.5, right?

And what about the date?

Anyway please update again... ;)
Comment 12 Miro Hrončok 2014-07-29 05:56:34 EDT
This is blocked by #1058765 and I would appreciate any help with the test suite there (I'm not able to make it run)
Comment 13 Miro Hrončok 2014-10-25 16:06:02 EDT
Prepared in "cecil" branch. Builds fine in mock with mono-cecil.
Comment 14 Fedora Update System 2014-12-27 11:40:58 EST
OpenTK-1.1-1.4c.fc21 has been submitted as an update for Fedora 21.
Comment 15 Fedora Update System 2014-12-27 11:58:17 EST
OpenTK-1.1-1.4c.fc21,mono-cecil-0.9.5-3.20140924git6d1b7d0.fc21 has been submitted as an update for Fedora 21.
Comment 16 Fedora Update System 2014-12-29 05:04:35 EST
Package OpenTK-1.1-1.4c.fc21, mono-cecil-0.9.5-3.20140924git6d1b7d0.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OpenTK-1.1-1.4c.fc21 mono-cecil-0.9.5-3.20140924git6d1b7d0.fc21'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2015-01-06 01:16:50 EST
OpenTK-1.1-1.4c.fc21, mono-cecil-0.9.5-3.20140924git6d1b7d0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.